error al instalar ati driver para radeon 9000

Imagen de manoleitor
0 puntos

Hola, hace poco que he instalado ubuntu, estoy intentando prepara el sistema pero me encuentro con algunos problemas como la grafica que no consigo solucionar, tras seguir un monton de manuales siempre sale el mismo error al instalar el ati.... .run, es el siguiente "./ati-installer.sh: 165: Syntax error: Bad substitution
Removing temporary directory: fglrx-install" y de aqui no paso, no se por lo que sale, supongo que faltara algo para que se realice la instalacion, pero no tengo ni idea de lo que puede ser, alguien me podria decir que es lo que pasa??

Gracias.

Saludos

Imagen de manoleitor
+1
0
-1

Holaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa!!!!!!

+1
0
-1
Imagen de Festor
+1
0
-1

Aver, varias preguntas:

-Que version de los controladores propietarios estas intentando instalar?

-Pa que diablos los instalas? Ya que si no me equivoco de la 9250 para atras, los drivers libres cubren la aceleracion grafica

-" Removing temporary directory: "fglrx-install" " --> Creo que esa es la solucion (si no sabes inglés es "eliminar la carpeta temporal "fglrx-install" que supongo que estara en tempm, digo supongo porque hace tiempo que no uso los propietarios)

+1
0
-1
Imagen de manoleitor
+1
0
-1

Hola, gracias por contestar.

La version con lo que lo he intentado es la 8.25 y la 8.28, pero con las dos me da el mismo error.

Pa que?

Por esto : $ glxinfo | grep direct
direct rendering: No

Antes tenia suse y tenia que instalar el driver, al no tener aceleracion aqui supuse que tambien lo tenia que instalar, pero si no es asi dime como hago para tener 3D.

Gracias

Saludos

+1
0
-1
Imagen de Festor
+1
0
-1

El driver lo instalastes por el instalador (valga la rebundancia xDD) o por medio de paquetes?

+1
0
-1
Imagen de manoleitor
+1
0
-1

Lo hice como pone en la guia Wiki, descargando el ati-driver...... .run, osea el instalador, en suse si se instala pero en la ubuntu 6.10 me da ese error y no se como solucionarlo.

Gracias

Saludos

+1
0
-1
Imagen de manoleitor
+1
0
-1

H00000olaaaaaaaaaa, hooolaaaaaaa, hoolaa, hola

+1
0
-1
Imagen de Festor
+1
0
-1

Realiza esto en la consola:

mkdir ati

cd ati

wget https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-dr...

sudo gedit /etc/X11/xorg.conf

---> Añadimos al final del documento esto:

Section "Extensions"
Option "Composite" "0"
EndSection

---> Desactivamos el antiguo driver (si existe)

sudo gedit /etc/default/linux-restricted-modules-common

---> Y escribimos

DISABLED_MODULES="fglrx"

sudo aptitude update

sudo aptitude upgrade

sudo aptitude install module-assistant build-essential fakeroot dh-make debconf libstdc++5 linux-headers-$(uname -r)

sudo ln -sf bash /bin/sh

bash ati-driver-installer-8.28.8.run --buildpkg Ubuntu/edgy

sudo ln -sf dash /bin/sh

sudo dpkg -i xorg-driver-fglrx_8.28.8-1_i386.deb

sudo dpkg -i fglrx-kernel-source_8.28.8-1_i386.deb

sudo dpkg -i fglrx-control_8.28.8-1_i386.deb

sudo rm /usr/src/fglrx-kernel*.deb

sudo module-assistant prepare,update

sudo module-assistant build,install fglrx

sudo depmod

sudo aticonfig --initial

sudo aticonfig --overlay-type=Xv

----> Y por ultima reinicia el ordenador

De nuevo escribe en la consola

glxinfo | grep direct

Y si el resultado es YES ya tienes aceleracion grafica!!

P.D. Si no enteindes alguna parte del manual comentalo, y espero que no te resulte consfuso xDD

+1
0
-1
Imagen de manoleitor
+1
0
-1

Hola pues ya esta, ya tengo 3D, muchas gracias por el empujoncito

Saludos

+1
0
-1
Imagen de Festor
+1
0
-1

Me alegro que te funcione, pero si quieres un consejo no pongas mensanjess del tipo "olaaaa!!!!! olaaaa!!" porque no suelen funcionar xDDD

+1
0
-1
Imagen de manoleitor
+1
0
-1

Vale, entendido, muchas gracias otra vez.

Saludos

+1
0
-1
Imagen de Anónimo
+1
0
-1

Hola ya llevo tiempo con la tarjeta mal configurada, sin opengl sin aceleracion y solo tengo lo basico, el escritorio.
Como tengo la misma tarjeta y el mismo problema intente tu tuto pero cuando llego a sudo dpkg -i xorg-driver-fglrx_8.28.8-1_i386.deb me sale lo siguiente:

Preparando para reemplazar xorg-driver-fglrx 8.27.10-1 (usando xorg-driver-fglrx_8.28.8-1_i386.deb) ...
dpkg (subproceso): no se puede ejecutar script de `pre-removal' antiguo: No existe el fichero ó directorio
dpkg: aviso - script de `pre-removal' antiguo devolvió código de error 2
dpkg - probando el script del nuevo paquete en su lugar...
dpkg (subproceso): no se puede ejecutar script pre-removal nuevo: No existe el fichero ó directorio
dpkg: error al procesar xorg-driver-fglrx_8.28.8-1_i386.deb (--install):
el subproceso script pre-removal nuevo devolvió el código de salida de error 2
dpkg (subproceso): no se puede ejecutar post-installation script: No existe el fichero ó directorio
dpkg: error al reorganizar:
el subproceso post-installation script devolvió el código de salida de error 2
Se encontraron errores al procesar:
xorg-driver-fglrx_8.28.8-1_i386.deb

y lo mismo con lo siguiente.

Agradeceria que me ayudarais pues llevo muxos tutos probados y no me va bien.
Me gusta mucho Ubuntu pero sin grafica...

Gracias

+1
0
-1
Imagen de Festor
+1
0
-1

Bueno vamos alla!! xDD

segun lo que veo en el log que acabas de poner tienes un problema con un controlador de ati que al parecer ya habias instalado y no te deja actualizarlo al nuevo. Nunca me habia pasado esto asi que lo que te voy a decir es simplemente logica, pero no te puedo asegurar que funcione.

Abre el Synaptic y busca todos los paquetes que tengas el nombre de fglrx (con el boton buscar) y luego desistalaos completamente ("Marcar para eliminar completamente") y luego intenta repetir el tutorial haber si te funciona.

Una cosa si tienes la misa tarjeta que el tio de arriba (radeon 9000) has de saber que el controlador libre soporta bastante bien la aceleracion grafica (lo hace hasta la 9250, la que tengo yo) y a menos que desese el propietario te aconsejaria que probaras el libre que ya viene incluido con Ubuntu cuando se instala, eso si tendrias que resinstalar el Ubuntu, porque la forma de vover al driver libre es algo chunga de explicar.

+1
0
-1
Imagen de Muadiv
+1
0
-1

hola, pude hacer andar todo, pero se me sale de sincronismo el monitor
siempre tuve ese problema, pero lo soluciono con "sudo dpkg-reconfigure xserver-xorg", pero cuando hago esto pierdo el 3d
como hago para hacerlo por texto ???

Gracias.

/-------------------->
|Muadiv
|ubuntu@muadiv.com.ar
|www.muadiv.com.ar
\-------------------->

+1
0
-1

/-------------------->
|Muadiv
|ubuntu@muadiv.com.ar
|www.muadiv.com.ar
\-------------------->

Imagen de Jaime Calderin
+1
0
-1

Hola, pues despues de leer como 1000 manuales para poder activar la aceleracion grafica 3D en Ubuntu 6.10 edgy de mi tarjeta AGP ATI Radeon 9250 128BIT 256MB DDR MEMORY resulta que este es el post mejor explicado que he encontrado pero al hacer esto al pie de la letra tadabia no se activa la aceleracion grafica 3D en mi tarjeta. Mi MotherBoard es un Asrock P4i65G socket 478 con un Pentium 4 2.8Ghz y 512MB de memoria DDR. Incluso tuve que poner en el blacklist la tarjeta grafica que trae de fabrica esta Motherboard (intel_agp) ya que si no lo hacia no podia subir Ubuntu con la ATI instalada.

Agradecere la ayuda que me puedan dar. Gracias!
LINUX REGISTERED USER #440110

+1
0
-1

LINUX REGISTERED USER #440110

Imagen de Jaime Calderin
+1
0
-1

Hola, pues despues de leer como 1000 manuales para poder activar la aceleracion grafica 3D en Ubuntu 6.10 edgy de mi tarjeta AGP ATI Radeon 9250 128BIT 256MB DDR MEMORY resulta que este es el post mejor explicado que he encontrado pero al hacer esto al pie de la letra tadabia no se activa la aceleracion grafica 3D en mi tarjeta. Mi MotherBoard es un Asrock P4i65G socket 478 con un Pentium 4 2.8Ghz y 512MB de memoria DDR. Incluso tuve que poner en el blacklist la tarjeta grafica que trae de fabrica esta Motherboard (intel_agp) ya que si no lo hacia no podia subir Ubuntu con la ATI instalada.

Aqui les dejo lo que me sale cuando pongo glxgears:

jaime@jaime-desktop:~$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
client glx vendor string: ATI
client glx version string: 1.3
client glx extensions:
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
GLX_ARB_get_proc_address, GLX_SGI_video_sync, GLX_ARB_multisample,
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
GLX version: 1.2
GLX extensions:
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
GLX_ARB_multisample
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.5.1)
OpenGL extensions:
GL_ARB_imaging, GL_ARB_multitexture, GL_ARB_texture_border_clamp,
GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
GL_ARB_texture_env_combine, GL_ARB_texture_env_dot3,
GL_ARB_transpose_matrix, GL_EXT_abgr, GL_EXT_blend_color,
GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_texture_env_add,
GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3,
GL_EXT_texture_lod_bias
glu version: 1.3
glu extensions:
GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

visual x bf lv rg d st colorbuffer ax dp st accumbuffer ms cav
id dep cl sp sz l ci b ro r g b a bf th cl r g b a ns b eat
----------------------------------------------------------------------
0x23 24 tc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 1 0 None
0x24 24 tc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 1 0 None
0x25 24 tc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
0x26 24 tc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
0x27 24 dc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 1 0 None
0x28 24 dc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 1 0 None
0x29 24 dc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
0x2a 24 dc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
jaime@jaime-desktop:~$

Agradecere la ayuda que me puedan dar. Gracias!
LINUX REGISTERED USER #440110

+1
0
-1

LINUX REGISTERED USER #440110

Imagen de DanielG007
+1
0
-1

Una pregunta, para poder instalar los driver de la web de ati, hay q desinstalar antes el paquete xserver-xorg-video-ati?? ¿este q seria el driver libre?

+1
0
-1

Existen sólo dos cosas infinitas, el Univero y la estupidez humana y de lo primero no estoy muy seguro {Albert Einstein}

Imagen de Festor
+1
0
-1

Para instalar los drivers de ATI no hay que desinstalar nada, los libres NO van a interferir, es más so añguna vez quieres volver a ellos ya los tienes instalados y te será más facil

+1
0
-1
Imagen de Anónimo
+1
0
-1

Hola, he probado varias veces a instalar el driver y no he conseguido la aceleración 3D.

He instalado el driver que viene incluido, he probado los drivers de ATI, y en los dos casos he seguido paso a paso los manuales pero no hay manera. La respuesta siempre es no. Incluso he reinstalado el sistema y he vuelto a instalarlo pero me da el mismo problema. Mi tarjeta es una ATI 9200. El panel de control de ATI aparece en el menú aplicaciones pero en la parte de OPENGL aparece: Mesa Project: www.mesa3d.org.

La verdad no tengo ni idea de que es lo que hago mal, pero no he detectado errores en ningún momento de la instalación.

UN SALUDO

+1
0
-1
Imagen de Charlszone
+1
0
-1

Hola de nuevo,

Soy el anónimo del anterior comentario. He probado instalando otra versión del driver, la 8.33.6 pero solo he conseguido quedarme sin Xwindow temporalmente porque no se ha instalado correctamente. He vuelto al driver 8.28.8 (he eliminado los paquetes fglrx antes y he instalado de nuevo) y ahora vuelvo a estar como antes.

¿Sabe alguien porque no consigo la aceleración OPENGL?

UN SALUDO

+1
0
-1
Imagen de Festor
+1
0
-1

La capullina de la ATI (así de claro) dejo de dar soporte a las tarjetas 9250 he inferiores desde la version 8.28.8 (en esta aun hay soporte) por eso no te funciona la 8.33.6

Fijate bien en el manual que puse arriba que seguramente fallastes en algo. Lo de que te aparezca algo de mesa en vez de ati suele ser porque usastes el instalador oficial del controlador (cosa que a mi por lo menos nunca me funciono)

+1
0
-1
Imagen de melkort
+1
0
-1

Pos lo dicho xD despues de dar vueltas y vueltas y no conseguir que me funcionara la aceleración 3d, de mi ati 9550, gracias a tu explicación clarita, como un corta y pega jejeje por fin puedo jugar al morrowind en mi ubuntu sniff, sniff creo que voy a llorar.
Por eso insisto muchas gracias.
PD: no sabras como instalar el beryl y que funcione verdad? seria mucho pedir pero como hace poco fueron las navidades quien sabe jejeje

+1
0
-1
Imagen de Anónimo
+1
0
-1

pido ayuda a ver si alguien conoce la solucion a mi problema voy con la guia paso a paso pero sin descargarme el driver q dan hay sino el mas actual desde la pag de ati y me da esto:
sudo: module-assistant: command not found
nelson@nelson-desktop:~/ati$
ya en varias instalaciones me habia dado ese problema alguein sabe como repararlo....
mi sistema es ubuntu 6.10
mi tarjeta grafica es una sapphire radeon 9550 de 256mb y 128bit

pd: despues de terminar las instalacion asi con ese error da eset resultado:
#glxinfo | grep direct
Xlib: extension "XFree86-DRI" missing on display ":0.0".
direct rendering: No
OpenGL renderer string: Mesa GLX Indirect
# glxgears -iacknowledgethatthistoolisnotabenchmark
Xlib: extension "XFree86-DRI" missing on display ":0.0".
1177 frames in 5.3 seconds = 222.811 FPS
1824 frames in 5.2 seconds = 352.558 FPS
1824 frames in 5.3 seconds = 344.322 FPS
1710 frames in 5.0 seconds = 338.906 FPS
1824 frames in 5.2 seconds = 352.826 FPS
1824 frames in 5.2 seconds = 352.355 FPS
#fglrxinfo
Xlib: extension "XFree86-DRI" missing on display ":0.0".
display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.5.1)

+1
0
-1
Imagen de melkort
+1
0
-1

Y cuando creia que todo me funcionaba, he hecho las mismas pruebas que tu y obtengo lo siguiente:
melkort@melkort-desktop:~$ glxgears -iacknowledgethatthistoolisnotabenchmark
625 frames in 5.0 seconds = 124.724 FPS
616 frames in 5.0 seconds = 123.100 FPS
623 frames in 5.0 seconds = 124.400 FPS
616 frames in 5.0 seconds = 123.092 FPS
614 frames in 5.0 seconds = 122.696 FPS
616 frames in 5.0 seconds = 123.191 FPS
619 frames in 5.0 seconds = 123.794 FPS
618 frames in 5.0 seconds = 123.371 FPS
melkort@melkort-desktop:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9550 Generic
OpenGL version string: 2.0.6286 (8.33.6)

melkort@melkort-desktop:~$ glxinfo |grep direct
direct rendering: Yes
melkort@melkort-desktop:~$

asi que mi gozo en un pozo, el direct rendering esta funcionando pero los frames muy bajos xD además en el cedega me falla el test 3D

PD: soy novatillo asi que por si acaso pongo la configuracion de hardware de mi equipo menos la gráfico que ya la he puesto jejeje

amd64 fx 3200
1.5 gigas de ramm kingston
1 hdd 250 gigas ide
1 hdd 120 gigas ide (todo enterito pal ubuntu)
1 hdd 250 gigas sata
sound blaster live 7.1
Placa asus k8 v se deluxe.

bueno creo que eso es todo xD

+1
0
-1
Imagen de Anónimo
+1
0
-1

Los drivers ATI y Nvidia deberían instalarse desde automatix2, y ésto, al inicio de operación de una instalación "fresca".
Si se bajan e instalan los drivers de los sitios propietarios, se requieren hacer varias "maromas", y con demasiado esfuerzo y pérdida de tiempo, en la gran mayoría de casos, se logra.
El problema es, cuando surge una nueva actualización del kernel......lógicamente el X11 fallará al estar instalado el nuevo kernel, y de nueva cuenta, tendrán qué hacer la misma operación una y otra vez, hasta que en un punto, sea irrecuperable su modo gráfico, porque el X11 es particularmente "sensible" a los cambios continuos.
En cambio, si dejan que el update mannager realice por sí solo las actualizaciones, observarán como, al llegar un nuevo kernel, automáticamente monta el driver correspondiente para su video...

+1
0
-1
Imagen de melkort
+1
0
-1

Pues te agradeceria que me dijeras donde estan los drivers de ATI en el automatix2 por que yo solo veo los de NVDIA, la verdad que sería un puntazo olvidarse de la puta aceleracion 3D una vez configurada, por que la ver dad que ya no se que hacer con la mia para que funcione xD la proxima que me compre sera una NVDIA xD

+1
0
-1
Imagen de Dragnaro
+1
0
-1

para ubuntu 6.10

si tu computadora es una intelx86, esto te va a servir al pie de la letra, es el link directo al tutorial de Maverick si es una AMD 64 va a variar pero un poco, para bajar los drivers debes ir a www.ati.com, ahi en la parte de arriba descargas, ahi buscas linux, luego tu tarjeta, luego go, eso te descargara tu driver

no te olvides del nombre del archivo, y donde lo colocas si cualquier cosa pones en esta pagina el error que te de y entre los miembros te van a ayudar a solucionarlo que viva linux!

aquí esta la guía

http://www.elblogdemaverick.com/?p=13#comment-229

por lo menos lo que soy yo tengo una ati x1300 y ya esta trabajando en todas, suerte

+1
0
-1
Imagen de synthpop
+1
0
-1

Hola.Poseo una ATI Radeon X1300 y estaba configurado como VESA, es decir, algo básico supongo, con lo que veía las páginas web muy lentas al avanzar mediante scroll vertical, igualmente al escribir en un editor de textos como el kate.
He utilizado esta explicación , pero cambiando lo referente a los archivos, que obviamente no me valía y al final he conseguido
instalar los drivers y obtener mediante glxinfo | grep direct la respuesta: direct rendering: Yes :)
Si alguien tiene alguna duda si quiere puede preguntarme.

Saludos y gracias.

+1
0
-1
Imagen de Iozu
+1
0
-1

Yo, durante la ejecución de la guía de la pagina 1, me sale esto

iozu@iozu-laptop:~/ati$ sudo rm /usr/src/fglrx-kernel*.deb
rm: no se puede borrar `/usr/src/fglrx-kernel*.deb': No existe el fichero ó directorio
iozu@iozu-laptop:~/ati$ sudo module-assistant prepare,update
sudo: module-assistant: command not found
 

+1
0
-1